<html>
<head>
<title>Materials - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">Materials</div>  </div>
<div class="ingroups"><a class="el" href="group__Core.html">Core</a></div></div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for Materials:</div>
<div class="dyncontent">
<center><table><tr><td><img src="group__Materials.gif" border="0" alt="" usemap="#group____Materials"/>
<map name="group____Materials" id="group____Materials">
<area shape="rect" id="node2" href="group__Core.html" title="Core" alt="" coords="5,5,56,35"/></map>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This utility class is used to hold the information used to generate the matrices and other information required to automatically populate <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a>.  <a href="classOgre_1_1AutoParamDataSource.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LayerBlendModeEx.html">Ogre::LayerBlendModeEx</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class which manages blending of both colour and alpha components.  <a href="classOgre_1_1LayerBlendModeEx.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">IMPORTANT: **Plugins must override default dictionary name!** Base class that texture plugins derive from.  <a href="classOgre_1_1ExternalTextureSource.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">Ogre::ExternalTextureSourceManager</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> Class which handles the registering and control of texture plugins.  <a href="classOgre_1_1ExternalTextureSourceManager.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html">Ogre::GpuConstantDefinition</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Information about predefined program constants.  <a href="structOgre_1_1GpuConstantDefinition.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuNamedConstants.html">Ogre::GpuNamedConstants</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Struct collecting together the information for named constants.  <a href="structOgre_1_1GpuNamedConstants.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuNamedConstantsSerializer.html">Ogre::GpuNamedConstantsSerializer</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Simple class for loading / saving <a class="el" href="structOgre_1_1GpuNamedConstants.html" title="Struct collecting together the information for named constants.">GpuNamedConstants</a>.  <a href="classOgre_1_1GpuNamedConstantsSerializer.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuLogicalIndexUse.html">Ogre::GpuLogicalIndexUse</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Structure recording the use of a physical buffer by a logical parameter index.  <a href="structOgre_1_1GpuLogicalIndexUse.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuLogicalBufferStruct.html">Ogre::GpuLogicalBufferStruct</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Container struct to allow params to safely &amp; update shared list of logical buffer assignments.  <a href="structOgre_1_1GpuLogicalBufferStruct.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A group of manually updated parameters that are shared between many parameter sets.  <a href="classOgre_1_1GpuSharedParameters.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParametersUsage.html">Ogre::GpuSharedParametersUsage</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This class records the usage of a set of shared parameters in a concrete set of <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a>.  <a href="classOgre_1_1GpuSharedParametersUsage.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramParameters.html">Ogre::GpuProgramParameters</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Collects together the program parameters used for a <a class="el" href="classOgre_1_1GpuProgram.html" title="Defines a program which runs on the GPU such as a vertex or fragment program.">GpuProgram</a>.  <a href="classOgre_1_1GpuProgramParameters.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramUsage.html">Ogre::GpuProgramUsage</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This class makes the usage of a vertex and fragment programs (low-level or high-level), with a given set of parameters, explicit.  <a href="classOgre_1_1GpuProgramUsage.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class encapsulates rendering properties of an object.  <a href="classOgre_1_1Material.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialPtr.html">Ogre::MaterialPtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to allow <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to be assigned to <a class="el" href="classOgre_1_1MaterialPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MaterialPtr.">MaterialPtr</a>.  <a href="classOgre_1_1MaterialPtr.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialManager.html">Ogre::MaterialManager</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for managing <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> settings for <a class="el" href="namespaceOgre.html">Ogre</a>.  <a href="classOgre_1_1MaterialManager.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html">Ogre::MaterialScriptProgramDefinition</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Struct for holding a program definition which is in progress.  <a href="structOgre_1_1MaterialScriptProgramDefinition.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html">Ogre::MaterialScriptContext</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Struct for holding the script context while parsing.  <a href="structOgre_1_1MaterialScriptContext.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for serializing Materials to / from a .material script.  <a href="classOgre_1_1MaterialSerializer.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a single pass of a <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> (of a <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a>), i.e.  <a href="classOgre_1_1Pass.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1IlluminationPass.html">Ogre::IlluminationPass</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Struct recording a pass which can be used for a specific illumination stage.  <a href="structOgre_1_1IlluminationPass.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class representing an approach to rendering this particular <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a>.  <a href="classOgre_1_1Technique.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class representing the state of a single texture unit during a <a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a> of a <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>, of a <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a>.  <a href="classOgre_1_1TextureUnitState.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef map&lt; String, <br class="typebreak"/>
GpuConstantDefinition &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga90b266af540c4396c8c18ac2c43fd0f3">Ogre::GpuConstantDefinitionMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef ConstMapIterator<br class="typebreak"/>
&lt; GpuConstantDefinitionMap &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#gaff7bf5891ea6cfed80f4e50edc5d3695">Ogre::GpuConstantDefinitionIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef SharedPtr<br class="typebreak"/>
&lt; GpuNamedConstants &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#gab76650f27b9b671a6ad6ba0e466c65aa">Ogre::GpuNamedConstantsPtr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef map&lt; size_t, <br class="typebreak"/>
GpuLogicalIndexUse &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga2275e636e8d9bbe23e350ef676e289b5">Ogre::GpuLogicalIndexUseMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef SharedPtr<br class="typebreak"/>
&lt; GpuLogicalBufferStruct &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga2292a2b9e147e50617d24746070bbc9f">Ogre::GpuLogicalBufferStructPtr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector&lt; float &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga85c9b7d7f5d35f36d118af514f18ab5b">Ogre::FloatConstantList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Definition of container that holds the current float constants.  <a href="#ga85c9b7d7f5d35f36d118af514f18ab5b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector&lt; int &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga0f6f75258759920f3879eb1b4b590121">Ogre::IntConstantList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Definition of container that holds the current float constants.  <a href="#ga0f6f75258759920f3879eb1b4b590121"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef SharedPtr<br class="typebreak"/>
&lt; GpuSharedParameters &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga4bbf05af668b0deefaf7b0c0f172d45b">Ogre::GpuSharedParametersPtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared pointer used to hold references to <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a> instances.  <a href="#ga4bbf05af668b0deefaf7b0c0f172d45b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef SharedPtr<br class="typebreak"/>
&lt; GpuProgramParameters &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#gaebab7cecf3f3ae81a1fbfa08ab36f2b5">Ogre::GpuProgramParametersSharedPtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared pointer used to hold references to <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a> instances.  <a href="#gaebab7cecf3f3ae81a1fbfa08ab36f2b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef bool(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga315137b78f2d739ab0e41e07b1fcf51d">Ogre::ATTRIBUTE_PARSER</a> )(String &amp;params, MaterialScriptContext &amp;context)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Function def for material attribute parser; return value determines if the next line should be {.  <a href="#ga315137b78f2d739ab0e41e07b1fcf51d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector<br class="typebreak"/>
&lt; IlluminationPass * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga4c6928d029248ab4e1a4f999972baee8">Ogre::IlluminationPassList</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga1ae5925d36df27a6c3590536752264f8">Ogre::LayerBlendType</a> { <a class="el" href="group__Materials.html#gga1ae5925d36df27a6c3590536752264f8acee3f4ef730f5c3e67fe71a54621e654">Ogre::LBT_COLOUR</a>, 
<a class="el" href="group__Materials.html#gga1ae5925d36df27a6c3590536752264f8a48d75d19e38ab5ff2ce7a3e9ae068e31">Ogre::LBT_ALPHA</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Type of texture blend mode.  <a href="group__Materials.html#ga1ae5925d36df27a6c3590536752264f8">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#gabcbb38d1ac195e4be401f85b7ab0da8f">Ogre::LayerBlendOperation</a> { <a class="el" href="group__Materials.html#ggabcbb38d1ac195e4be401f85b7ab0da8fa870cf51ff1ccd919cf710bcb3b4e6432">Ogre::LBO_REPLACE</a>, 
<a class="el" href="group__Materials.html#ggabcbb38d1ac195e4be401f85b7ab0da8fa0c0abc7da3db86b393712aacc3c0ffe3">Ogre::LBO_ADD</a>, 
<a class="el" href="group__Materials.html#ggabcbb38d1ac195e4be401f85b7ab0da8fa20815cab41c35f08f3520fb404b95efd">Ogre::LBO_MODULATE</a>, 
<a class="el" href="group__Materials.html#ggabcbb38d1ac195e4be401f85b7ab0da8fa5cd300cd5790982241469d38868e5e76">Ogre::LBO_ALPHA_BLEND</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">List of valid texture blending operations, for use with TextureUnitState::setColourOperation.  <a href="group__Materials.html#gabcbb38d1ac195e4be401f85b7ab0da8f">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga264ecab38a04d01e2c3158fa05ec1ee2">Ogre::LayerBlendOperationEx</a> { <br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2a8c7697ad29825fd74a0383826294c894">Ogre::LBX_SOURCE1</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2a7e03fbcff412dcdeefa85e7e83525599">Ogre::LBX_SOURCE2</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2a985f2ec53a477d7c19b41700589cb519">Ogre::LBX_MODULATE</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2a83964282d9ea36a25f4718ae962f8d1c">Ogre::LBX_MODULATE_X2</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2a2016226c35da93cc80a47e67528064a3">Ogre::LBX_MODULATE_X4</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2ac025aa3571c27a81260a08338418fa02">Ogre::LBX_ADD</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2ae89016c1b5b7ba57965791ae726c450e">Ogre::LBX_ADD_SIGNED</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2a94ec9bd2faf2b248f1c32f2eb187f415">Ogre::LBX_ADD_SMOOTH</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2ade0d61cb08a3a772470efeab17a1a60c">Ogre::LBX_SUBTRACT</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2ac48b8a0a6406d7950c873658b9f11aa9">Ogre::LBX_BLEND_DIFFUSE_ALPHA</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2a3ba9fa36ef8c23b61e030185ca14cb78">Ogre::LBX_BLEND_TEXTURE_ALPHA</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2a42c0f2ce32ad504e39a11936748c9973">Ogre::LBX_BLEND_CURRENT_ALPHA</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2adbe5957a946513e0f8be8c571f9b73fe">Ogre::LBX_BLEND_MANUAL</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2a822d6d3e08f28dcd9834f61c7fc03905">Ogre::LBX_DOTPRODUCT</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2aff8f459e8c642e068d2d85fb18563859">Ogre::LBX_BLEND_DIFFUSE_COLOUR</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Expert list of valid texture blending operations, for use with TextureUnitState::setColourOperationEx and TextureUnitState::setAlphaOperation, and internally in the LayerBlendModeEx class.  <a href="group__Materials.html#ga264ecab38a04d01e2c3158fa05ec1ee2">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#gae2ad78de344f35307ce35157c175625e">Ogre::LayerBlendSource</a> { <br/>
&#160;&#160;<a class="el" href="group__Materials.html#ggae2ad78de344f35307ce35157c175625ea370f25da69381c74ca1fc51fde81e659">Ogre::LBS_CURRENT</a>, 
<a class="el" href="group__Materials.html#ggae2ad78de344f35307ce35157c175625ea45f1a14042993f460992b3253ce6ae80">Ogre::LBS_TEXTURE</a>, 
<a class="el" href="group__Materials.html#ggae2ad78de344f35307ce35157c175625ea196637a598fec92609865324b94d5662">Ogre::LBS_DIFFUSE</a>, 
<a class="el" href="group__Materials.html#ggae2ad78de344f35307ce35157c175625eaeaaa1e434289af47d0324c5d0f19d728">Ogre::LBS_SPECULAR</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#ggae2ad78de344f35307ce35157c175625ea9aad692ea2c7081237095c3ab4044f17">Ogre::LBS_MANUAL</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">List of valid sources of values for blending operations used in TextureUnitState::setColourOperation and TextureUnitState::setAlphaOperation, and internally in the LayerBlendModeEx class.  <a href="group__Materials.html#gae2ad78de344f35307ce35157c175625e">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#gac46c60cf6e5c199220e3b8f26570cb9a">Ogre::SceneBlendType</a> { <br/>
&#160;&#160;<a class="el" href="group__Materials.html#ggac46c60cf6e5c199220e3b8f26570cb9aa8df6dd8b7710971196000da11b5ab114">Ogre::SBT_TRANSPARENT_ALPHA</a>, 
<a class="el" href="group__Materials.html#ggac46c60cf6e5c199220e3b8f26570cb9aab57b2cf11c74056c5109fce1efa37a05">Ogre::SBT_TRANSPARENT_COLOUR</a>, 
<a class="el" href="group__Materials.html#ggac46c60cf6e5c199220e3b8f26570cb9aafa3ba1b1c044f8c0cb09bc41582024d4">Ogre::SBT_ADD</a>, 
<a class="el" href="group__Materials.html#ggac46c60cf6e5c199220e3b8f26570cb9aa7aed8ef0038f0a0a5f6634ba4080b513">Ogre::SBT_MODULATE</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#ggac46c60cf6e5c199220e3b8f26570cb9aab6672abe57fa6051e9ab57d51975d244">Ogre::SBT_REPLACE</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Types of blending that you can specify between an object and the existing contents of the scene.  <a href="group__Materials.html#gac46c60cf6e5c199220e3b8f26570cb9a">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213">Ogre::SceneBlendFactor</a> { <br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213ad2741858a9d9f668a47ea75b82ae0318">Ogre::SBF_ONE</a>, 
<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213a04732209b3c7a16b5f0a2c829e6f6c34">Ogre::SBF_ZERO</a>, 
<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213affe55d98f2cd26e9451af52dbc74f7b2">Ogre::SBF_DEST_COLOUR</a>, 
<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213aec796e9f58f4cce849379f0239e059a6">Ogre::SBF_SOURCE_COLOUR</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213a7ea50d3d5960138db1c46ecb42f94969">Ogre::SBF_ONE_MINUS_DEST_COLOUR</a>, 
<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213a93b05f61a5076cf0f649ac5d656970fe">Ogre::SBF_ONE_MINUS_SOURCE_COLOUR</a>, 
<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213a374792bd937134c4ca2aad748661c22c">Ogre::SBF_DEST_ALPHA</a>, 
<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213a5b1a11e0ec0d1cf0bdab0176cca26eea">Ogre::SBF_SOURCE_ALPHA</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213a1d772950d5ec934776bbc1d39782a42d">Ogre::SBF_ONE_MINUS_DEST_ALPHA</a>, 
<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213a09184af2d875978d03c6edd00d4d52f9">Ogre::SBF_ONE_MINUS_SOURCE_ALPHA</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Blending factors for manually blending objects with the scene.  <a href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#gaa7a12a72231aedf6e33d58aafc11214a">Ogre::SceneBlendOperation</a> { <br/>
&#160;&#160;<a class="el" href="group__Materials.html#ggaa7a12a72231aedf6e33d58aafc11214aa188aee58620b3275f1a45c7c80df4bc7">Ogre::SBO_ADD</a>, 
<a class="el" href="group__Materials.html#ggaa7a12a72231aedf6e33d58aafc11214aa1b91fc44108cc88f2cb4bb38d4d76a4b">Ogre::SBO_SUBTRACT</a>, 
<a class="el" href="group__Materials.html#ggaa7a12a72231aedf6e33d58aafc11214aabf264a7da02c6b481ca9a8b222914438">Ogre::SBO_REVERSE_SUBTRACT</a>, 
<a class="el" href="group__Materials.html#ggaa7a12a72231aedf6e33d58aafc11214aaac9096763a660cde89c5771a7842d14c">Ogre::SBO_MIN</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#ggaa7a12a72231aedf6e33d58aafc11214aad27eb8ec55b3c43ff95506da8e2b3d7f">Ogre::SBO_MAX</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Blending operations controls how objects are blended into the scene.  <a href="group__Materials.html#gaa7a12a72231aedf6e33d58aafc11214a">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#gaff53586ca60f891d5c6019a6ffb347a8">Ogre::eTexturePlayMode</a> { <a class="el" href="group__Materials.html#ggaff53586ca60f891d5c6019a6ffb347a8ab6118009d6be8772d4ce0a420f1ba488">Ogre::TextureEffectPause</a> =  0, 
<a class="el" href="group__Materials.html#ggaff53586ca60f891d5c6019a6ffb347a8ab7675b540e30e7a4c0c8051ccb494dc0">Ogre::TextureEffectPlay_ASAP</a> =  1, 
<a class="el" href="group__Materials.html#ggaff53586ca60f891d5c6019a6ffb347a8a84d724e0fa4f5c9f903e4ff828c5fa63">Ogre::TextureEffectPlay_Looping</a> =  2
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum for type of texture play mode.  <a href="group__Materials.html#gaff53586ca60f891d5c6019a6ffb347a8">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">Ogre::GpuConstantType</a> { <br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447a2e6d0cad211d29d14774e0ca147dcd30">Ogre::GCT_FLOAT1</a> =  1, 
<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447a979f39c4955889813f82374df96f6181">Ogre::GCT_FLOAT2</a> =  2, 
<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447abf2aed5efd251c030794ec27a7174fc8">Ogre::GCT_FLOAT3</a> =  3, 
<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447a466febc90367dab6c895c98edfff7681">Ogre::GCT_FLOAT4</a> =  4, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447a99d7d2b7976d0ef3b940f01e017b54ed">Ogre::GCT_SAMPLER1D</a> =  5, 
<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447a4f4eec3ce315c9a1ed97f47689241b64">Ogre::GCT_SAMPLER2D</a> =  6, 
<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447a18d1b343f2ec603945d3d7875622637a">Ogre::GCT_SAMPLER3D</a> =  7, 
<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447a13e953e084eb700f0bf55a42f6cae138">Ogre::GCT_SAMPLERCUBE</a> =  8, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447a37ce33389359aac73400ae427d9920fa">Ogre::GCT_SAMPLER1DSHADOW</a> =  9, 
<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447acea2c4e9feb93413f97ce9c045269a50">Ogre::GCT_SAMPLER2DSHADOW</a> =  10, 
<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447adcacdabe1213322ebee0bc64ac4db387">Ogre::GCT_SAMPLER2DARRAY</a> =  11, 
<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447a0b2767a1b36c8e7821979adb15615c7a">Ogre::GCT_MATRIX_2X2</a> =  12, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447abd03cb2cf3acde19f3a348e6146dd3e9">Ogre::GCT_MATRIX_2X3</a> =  13, 
<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447a964c921cd7327eb271da6eb78742a850">Ogre::GCT_MATRIX_2X4</a> =  14, 
<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447a80cbab72631a6efe3feaed44bf01e97e">Ogre::GCT_MATRIX_3X2</a> =  15, 
<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447a0128d0683a17c232bb249a068c65cbd7">Ogre::GCT_MATRIX_3X3</a> =  16, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447a87a7bc0df0623b02534894a90d634f6d">Ogre::GCT_MATRIX_3X4</a> =  17, 
<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447a33f4e8ee7271ce5353aa53c04c18447d">Ogre::GCT_MATRIX_4X2</a> =  18, 
<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447a5b26aaa1925eaa7bb83dd4a9e25b28d5">Ogre::GCT_MATRIX_4X3</a> =  19, 
<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447a01541907f48e2d56b7198a4076996a43">Ogre::GCT_MATRIX_4X4</a> =  20, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447ad023a5c54e29999cee04d54971cc5691">Ogre::GCT_INT1</a> =  21, 
<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447afce84063333829487cd0401fca732092">Ogre::GCT_INT2</a> =  22, 
<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447a18edb505f8205cfed6bb28da3abefd53">Ogre::GCT_INT3</a> =  23, 
<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447a278c0c55560cb39e67ce17239dc8184e">Ogre::GCT_INT4</a> =  24, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga9c5b2950be06ff56a6ee0bace240d447a3b3c9d05e75e6c20fd106d0f0080ad7e">Ogre::GCT_UNKNOWN</a> =  99
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumeration of the types of constant we may encounter in programs.  <a href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga167c785d87088b52526f1f079024fcda">Ogre::GpuParamVariability</a> { <br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga167c785d87088b52526f1f079024fcdaa756d7f053db5b3bc0d38c15d98cda93f">Ogre::GPV_GLOBAL</a> =  1, 
<a class="el" href="group__Materials.html#gga167c785d87088b52526f1f079024fcdaa39d4c360141a21c7dd916c7837b357af">Ogre::GPV_PER_OBJECT</a> =  2, 
<a class="el" href="group__Materials.html#gga167c785d87088b52526f1f079024fcdaad782ae3173a29e4a2e28215489c5147b">Ogre::GPV_LIGHTS</a> =  4, 
<a class="el" href="group__Materials.html#gga167c785d87088b52526f1f079024fcdaa30bc7bdcc3f0930c8dfb66c70eaecf4d">Ogre::GPV_PASS_ITERATION_NUMBER</a> =  8, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga167c785d87088b52526f1f079024fcdaa76c85c18f88b57983f861ee83fccde4a">Ogre::GPV_ALL</a> =  0xFFFF
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The variability of a GPU parameter, as derived from auto-params targeting it.  <a href="group__Materials.html#ga167c785d87088b52526f1f079024fcda">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga83c5c9e6cd44a657c97dd7494800676c">Ogre::MaterialScriptSection</a> { <br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga83c5c9e6cd44a657c97dd7494800676caa8ecf2298f0401fa132fbe09d7306e22">Ogre::MSS_NONE</a>, 
<a class="el" href="group__Materials.html#gga83c5c9e6cd44a657c97dd7494800676ca03535ff3b3deaf08ce6e4cf28f247396">Ogre::MSS_MATERIAL</a>, 
<a class="el" href="group__Materials.html#gga83c5c9e6cd44a657c97dd7494800676ca75dcdf27cd2c26a79997de2e6670f4a1">Ogre::MSS_TECHNIQUE</a>, 
<a class="el" href="group__Materials.html#gga83c5c9e6cd44a657c97dd7494800676ca4dbef3e527e942ad0fdf8790ff79ca91">Ogre::MSS_PASS</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga83c5c9e6cd44a657c97dd7494800676caf7bf31ae13f2c3b042d78aa28626b1e5">Ogre::MSS_TEXTUREUNIT</a>, 
<a class="el" href="group__Materials.html#gga83c5c9e6cd44a657c97dd7494800676cac22fc0112f378c4652e0335c5369a501">Ogre::MSS_PROGRAM_REF</a>, 
<a class="el" href="group__Materials.html#gga83c5c9e6cd44a657c97dd7494800676ca1482036b89dfe855d5722f4280bb9136">Ogre::MSS_PROGRAM</a>, 
<a class="el" href="group__Materials.html#gga83c5c9e6cd44a657c97dd7494800676ca485e4dd851bfd5d5db3ca78b4a031d44">Ogre::MSS_DEFAULT_PARAMETERS</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga83c5c9e6cd44a657c97dd7494800676cadd3efa1f0af549e1fbe112beb544bf69">Ogre::MSS_TEXTURESOURCE</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum to identify material sections.  <a href="group__Materials.html#ga83c5c9e6cd44a657c97dd7494800676c">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga12a2bc4c75c439630241aa279089acb4">Ogre::IlluminationStage</a> { <a class="el" href="group__Materials.html#gga12a2bc4c75c439630241aa279089acb4a86c1d44d20dbfd75a533f8e8a35cbb81">Ogre::IS_AMBIENT</a>, 
<a class="el" href="group__Materials.html#gga12a2bc4c75c439630241aa279089acb4a1bdd217c49dc61535b75a36207b3e4a0">Ogre::IS_PER_LIGHT</a>, 
<a class="el" href="group__Materials.html#gga12a2bc4c75c439630241aa279089acb4a55b9a19dea33fdf42c614c99c136a52e">Ogre::IS_DECAL</a>, 
<a class="el" href="group__Materials.html#gga12a2bc4c75c439630241aa279089acb4a8436700e1ea543e71cc82f08d55e5c98">Ogre::IS_UNKNOWN</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Categorisation of passes for the purpose of additive lighting.  <a href="group__Materials.html#ga12a2bc4c75c439630241aa279089acb4">More...</a><br/></td></tr>
</table>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="ga315137b78f2d739ab0e41e07b1fcf51d"></a><!-- doxytag: member="Ogre::ATTRIBUTE_PARSER" ref="ga315137b78f2d739ab0e41e07b1fcf51d" args=")(String &amp;params, MaterialScriptContext &amp;context)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef bool(* <a class="el" href="group__Materials.html#ga315137b78f2d739ab0e41e07b1fcf51d">Ogre::ATTRIBUTE_PARSER</a>)(String &amp;params, MaterialScriptContext &amp;context)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Function def for material attribute parser; return value determines if the next line should be {. </p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00102">102</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga85c9b7d7f5d35f36d118af514f18ab5b"></a><!-- doxytag: member="Ogre::FloatConstantList" ref="ga85c9b7d7f5d35f36d118af514f18ab5b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef vector&lt;float&gt;::type <a class="el" href="group__Materials.html#ga85c9b7d7f5d35f36d118af514f18ab5b">Ogre::FloatConstantList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition of container that holds the current float constants. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Not necessarily in direct index order to constant indexes, logical to physical index map is derived from <a class="el" href="classOgre_1_1GpuProgram.html" title="Defines a program which runs on the GPU such as a vertex or fragment program.">GpuProgram</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00373">373</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="gaff7bf5891ea6cfed80f4e50edc5d3695"></a><!-- doxytag: member="Ogre::GpuConstantDefinitionIterator" ref="gaff7bf5891ea6cfed80f4e50edc5d3695" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef ConstMapIterator&lt;GpuConstantDefinitionMap&gt; <a class="el" href="group__Materials.html#gaff7bf5891ea6cfed80f4e50edc5d3695">Ogre::GpuConstantDefinitionIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00267">267</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga90b266af540c4396c8c18ac2c43fd0f3"></a><!-- doxytag: member="Ogre::GpuConstantDefinitionMap" ref="ga90b266af540c4396c8c18ac2c43fd0f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef map&lt;String, GpuConstantDefinition&gt;::type <a class="el" href="group__Materials.html#ga90b266af540c4396c8c18ac2c43fd0f3">Ogre::GpuConstantDefinitionMap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00266">266</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga2292a2b9e147e50617d24746070bbc9f"></a><!-- doxytag: member="Ogre::GpuLogicalBufferStructPtr" ref="ga2292a2b9e147e50617d24746070bbc9f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef SharedPtr&lt;GpuLogicalBufferStruct&gt; <a class="el" href="group__Materials.html#ga2292a2b9e147e50617d24746070bbc9f">Ogre::GpuLogicalBufferStructPtr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00367">367</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga2275e636e8d9bbe23e350ef676e289b5"></a><!-- doxytag: member="Ogre::GpuLogicalIndexUseMap" ref="ga2275e636e8d9bbe23e350ef676e289b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef map&lt;size_t, GpuLogicalIndexUse&gt;::type <a class="el" href="group__Materials.html#ga2275e636e8d9bbe23e350ef676e289b5">Ogre::GpuLogicalIndexUseMap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00356">356</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="gab76650f27b9b671a6ad6ba0e466c65aa"></a><!-- doxytag: member="Ogre::GpuNamedConstantsPtr" ref="gab76650f27b9b671a6ad6ba0e466c65aa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef SharedPtr&lt;GpuNamedConstants&gt; <a class="el" href="group__Materials.html#gab76650f27b9b671a6ad6ba0e466c65aa">Ogre::GpuNamedConstantsPtr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00324">324</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="gaebab7cecf3f3ae81a1fbfa08ab36f2b5"></a><!-- doxytag: member="Ogre::GpuProgramParametersSharedPtr" ref="gaebab7cecf3f3ae81a1fbfa08ab36f2b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef SharedPtr&lt;GpuProgramParameters&gt; <a class="el" href="group__Materials.html#gaebab7cecf3f3ae81a1fbfa08ab36f2b5">Ogre::GpuProgramParametersSharedPtr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Shared pointer used to hold references to <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a> instances. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l01834">1834</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga4bbf05af668b0deefaf7b0c0f172d45b"></a><!-- doxytag: member="Ogre::GpuSharedParametersPtr" ref="ga4bbf05af668b0deefaf7b0c0f172d45b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef SharedPtr&lt;GpuSharedParameters&gt; <a class="el" href="group__Materials.html#ga4bbf05af668b0deefaf7b0c0f172d45b">Ogre::GpuSharedParametersPtr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Shared pointer used to hold references to <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a> instances. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00502">502</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga4c6928d029248ab4e1a4f999972baee8"></a><!-- doxytag: member="Ogre::IlluminationPassList" ref="ga4c6928d029248ab4e1a4f999972baee8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef vector&lt;IlluminationPass*&gt;::type <a class="el" href="group__Materials.html#ga4c6928d029248ab4e1a4f999972baee8">Ogre::IlluminationPassList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePass_8h_source.html#l01768">1768</a> of file <a class="el" href="OgrePass_8h_source.html">OgrePass.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga0f6f75258759920f3879eb1b4b590121"></a><!-- doxytag: member="Ogre::IntConstantList" ref="ga0f6f75258759920f3879eb1b4b590121" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef vector&lt;int&gt;::type <a class="el" href="group__Materials.html#ga0f6f75258759920f3879eb1b4b590121">Ogre::IntConstantList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition of container that holds the current float constants. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Not necessarily in direct index order to constant indexes, logical to physical index map is derived from <a class="el" href="classOgre_1_1GpuProgram.html" title="Defines a program which runs on the GPU such as a vertex or fragment program.">GpuProgram</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00378">378</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="gaff53586ca60f891d5c6019a6ffb347a8"></a><!-- doxytag: member="Ogre::eTexturePlayMode" ref="gaff53586ca60f891d5c6019a6ffb347a8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Materials.html#gaff53586ca60f891d5c6019a6ffb347a8">Ogre::eTexturePlayMode</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enum for type of texture play mode. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ggaff53586ca60f891d5c6019a6ffb347a8ab6118009d6be8772d4ce0a420f1ba488"></a><!-- doxytag: member="TextureEffectPause" ref="ggaff53586ca60f891d5c6019a6ffb347a8ab6118009d6be8772d4ce0a420f1ba488" args="" -->TextureEffectPause</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaff53586ca60f891d5c6019a6ffb347a8ab7675b540e30e7a4c0c8051ccb494dc0"></a><!-- doxytag: member="TextureEffectPlay_ASAP" ref="ggaff53586ca60f891d5c6019a6ffb347a8ab7675b540e30e7a4c0c8051ccb494dc0" args="" -->TextureEffectPlay_ASAP</em>&nbsp;</td><td>
<p>Video starts out paused. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaff53586ca60f891d5c6019a6ffb347a8a84d724e0fa4f5c9f903e4ff828c5fa63"></a><!-- doxytag: member="TextureEffectPlay_Looping" ref="ggaff53586ca60f891d5c6019a6ffb347a8a84d724e0fa4f5c9f903e4ff828c5fa63" args="" -->TextureEffectPlay_Looping</em>&nbsp;</td><td>
<p>Video starts playing as soon as possible. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00059">59</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga9c5b2950be06ff56a6ee0bace240d447"></a><!-- doxytag: member="Ogre::GpuConstantType" ref="ga9c5b2950be06ff56a6ee0bace240d447" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">Ogre::GpuConstantType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enumeration of the types of constant we may encounter in programs. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Low-level programs, by definition, will always use either float4 or int4 constant types since that is the fundamental underlying type in assembler. </dd></dl>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447a2e6d0cad211d29d14774e0ca147dcd30"></a><!-- doxytag: member="GCT_FLOAT1" ref="gga9c5b2950be06ff56a6ee0bace240d447a2e6d0cad211d29d14774e0ca147dcd30" args="" -->GCT_FLOAT1</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447a979f39c4955889813f82374df96f6181"></a><!-- doxytag: member="GCT_FLOAT2" ref="gga9c5b2950be06ff56a6ee0bace240d447a979f39c4955889813f82374df96f6181" args="" -->GCT_FLOAT2</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447abf2aed5efd251c030794ec27a7174fc8"></a><!-- doxytag: member="GCT_FLOAT3" ref="gga9c5b2950be06ff56a6ee0bace240d447abf2aed5efd251c030794ec27a7174fc8" args="" -->GCT_FLOAT3</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447a466febc90367dab6c895c98edfff7681"></a><!-- doxytag: member="GCT_FLOAT4" ref="gga9c5b2950be06ff56a6ee0bace240d447a466febc90367dab6c895c98edfff7681" args="" -->GCT_FLOAT4</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447a99d7d2b7976d0ef3b940f01e017b54ed"></a><!-- doxytag: member="GCT_SAMPLER1D" ref="gga9c5b2950be06ff56a6ee0bace240d447a99d7d2b7976d0ef3b940f01e017b54ed" args="" -->GCT_SAMPLER1D</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447a4f4eec3ce315c9a1ed97f47689241b64"></a><!-- doxytag: member="GCT_SAMPLER2D" ref="gga9c5b2950be06ff56a6ee0bace240d447a4f4eec3ce315c9a1ed97f47689241b64" args="" -->GCT_SAMPLER2D</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447a18d1b343f2ec603945d3d7875622637a"></a><!-- doxytag: member="GCT_SAMPLER3D" ref="gga9c5b2950be06ff56a6ee0bace240d447a18d1b343f2ec603945d3d7875622637a" args="" -->GCT_SAMPLER3D</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447a13e953e084eb700f0bf55a42f6cae138"></a><!-- doxytag: member="GCT_SAMPLERCUBE" ref="gga9c5b2950be06ff56a6ee0bace240d447a13e953e084eb700f0bf55a42f6cae138" args="" -->GCT_SAMPLERCUBE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447a37ce33389359aac73400ae427d9920fa"></a><!-- doxytag: member="GCT_SAMPLER1DSHADOW" ref="gga9c5b2950be06ff56a6ee0bace240d447a37ce33389359aac73400ae427d9920fa" args="" -->GCT_SAMPLER1DSHADOW</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447acea2c4e9feb93413f97ce9c045269a50"></a><!-- doxytag: member="GCT_SAMPLER2DSHADOW" ref="gga9c5b2950be06ff56a6ee0bace240d447acea2c4e9feb93413f97ce9c045269a50" args="" -->GCT_SAMPLER2DSHADOW</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447adcacdabe1213322ebee0bc64ac4db387"></a><!-- doxytag: member="GCT_SAMPLER2DARRAY" ref="gga9c5b2950be06ff56a6ee0bace240d447adcacdabe1213322ebee0bc64ac4db387" args="" -->GCT_SAMPLER2DARRAY</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447a0b2767a1b36c8e7821979adb15615c7a"></a><!-- doxytag: member="GCT_MATRIX_2X2" ref="gga9c5b2950be06ff56a6ee0bace240d447a0b2767a1b36c8e7821979adb15615c7a" args="" -->GCT_MATRIX_2X2</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447abd03cb2cf3acde19f3a348e6146dd3e9"></a><!-- doxytag: member="GCT_MATRIX_2X3" ref="gga9c5b2950be06ff56a6ee0bace240d447abd03cb2cf3acde19f3a348e6146dd3e9" args="" -->GCT_MATRIX_2X3</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447a964c921cd7327eb271da6eb78742a850"></a><!-- doxytag: member="GCT_MATRIX_2X4" ref="gga9c5b2950be06ff56a6ee0bace240d447a964c921cd7327eb271da6eb78742a850" args="" -->GCT_MATRIX_2X4</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447a80cbab72631a6efe3feaed44bf01e97e"></a><!-- doxytag: member="GCT_MATRIX_3X2" ref="gga9c5b2950be06ff56a6ee0bace240d447a80cbab72631a6efe3feaed44bf01e97e" args="" -->GCT_MATRIX_3X2</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447a0128d0683a17c232bb249a068c65cbd7"></a><!-- doxytag: member="GCT_MATRIX_3X3" ref="gga9c5b2950be06ff56a6ee0bace240d447a0128d0683a17c232bb249a068c65cbd7" args="" -->GCT_MATRIX_3X3</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447a87a7bc0df0623b02534894a90d634f6d"></a><!-- doxytag: member="GCT_MATRIX_3X4" ref="gga9c5b2950be06ff56a6ee0bace240d447a87a7bc0df0623b02534894a90d634f6d" args="" -->GCT_MATRIX_3X4</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447a33f4e8ee7271ce5353aa53c04c18447d"></a><!-- doxytag: member="GCT_MATRIX_4X2" ref="gga9c5b2950be06ff56a6ee0bace240d447a33f4e8ee7271ce5353aa53c04c18447d" args="" -->GCT_MATRIX_4X2</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447a5b26aaa1925eaa7bb83dd4a9e25b28d5"></a><!-- doxytag: member="GCT_MATRIX_4X3" ref="gga9c5b2950be06ff56a6ee0bace240d447a5b26aaa1925eaa7bb83dd4a9e25b28d5" args="" -->GCT_MATRIX_4X3</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447a01541907f48e2d56b7198a4076996a43"></a><!-- doxytag: member="GCT_MATRIX_4X4" ref="gga9c5b2950be06ff56a6ee0bace240d447a01541907f48e2d56b7198a4076996a43" args="" -->GCT_MATRIX_4X4</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447ad023a5c54e29999cee04d54971cc5691"></a><!-- doxytag: member="GCT_INT1" ref="gga9c5b2950be06ff56a6ee0bace240d447ad023a5c54e29999cee04d54971cc5691" args="" -->GCT_INT1</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447afce84063333829487cd0401fca732092"></a><!-- doxytag: member="GCT_INT2" ref="gga9c5b2950be06ff56a6ee0bace240d447afce84063333829487cd0401fca732092" args="" -->GCT_INT2</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447a18edb505f8205cfed6bb28da3abefd53"></a><!-- doxytag: member="GCT_INT3" ref="gga9c5b2950be06ff56a6ee0bace240d447a18edb505f8205cfed6bb28da3abefd53" args="" -->GCT_INT3</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447a278c0c55560cb39e67ce17239dc8184e"></a><!-- doxytag: member="GCT_INT4" ref="gga9c5b2950be06ff56a6ee0bace240d447a278c0c55560cb39e67ce17239dc8184e" args="" -->GCT_INT4</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga9c5b2950be06ff56a6ee0bace240d447a3b3c9d05e75e6c20fd106d0f0080ad7e"></a><!-- doxytag: member="GCT_UNKNOWN" ref="gga9c5b2950be06ff56a6ee0bace240d447a3b3c9d05e75e6c20fd106d0f0080ad7e" args="" -->GCT_UNKNOWN</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00052">52</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga167c785d87088b52526f1f079024fcda"></a><!-- doxytag: member="Ogre::GpuParamVariability" ref="ga167c785d87088b52526f1f079024fcda" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Materials.html#ga167c785d87088b52526f1f079024fcda">Ogre::GpuParamVariability</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The variability of a GPU parameter, as derived from auto-params targeting it. </p>
<p>These values must be powers of two since they are used in masks. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga167c785d87088b52526f1f079024fcdaa756d7f053db5b3bc0d38c15d98cda93f"></a><!-- doxytag: member="GPV_GLOBAL" ref="gga167c785d87088b52526f1f079024fcdaa756d7f053db5b3bc0d38c15d98cda93f" args="" -->GPV_GLOBAL</em>&nbsp;</td><td>
<p>No variation except by manual setting - the default. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga167c785d87088b52526f1f079024fcdaa39d4c360141a21c7dd916c7837b357af"></a><!-- doxytag: member="GPV_PER_OBJECT" ref="gga167c785d87088b52526f1f079024fcdaa39d4c360141a21c7dd916c7837b357af" args="" -->GPV_PER_OBJECT</em>&nbsp;</td><td>
<p>Varies per object (based on an auto param usually), but not per light setup. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga167c785d87088b52526f1f079024fcdaad782ae3173a29e4a2e28215489c5147b"></a><!-- doxytag: member="GPV_LIGHTS" ref="gga167c785d87088b52526f1f079024fcdaad782ae3173a29e4a2e28215489c5147b" args="" -->GPV_LIGHTS</em>&nbsp;</td><td>
<p>Varies with light setup. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga167c785d87088b52526f1f079024fcdaa30bc7bdcc3f0930c8dfb66c70eaecf4d"></a><!-- doxytag: member="GPV_PASS_ITERATION_NUMBER" ref="gga167c785d87088b52526f1f079024fcdaa30bc7bdcc3f0930c8dfb66c70eaecf4d" args="" -->GPV_PASS_ITERATION_NUMBER</em>&nbsp;</td><td>
<p>Varies with pass iteration number. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga167c785d87088b52526f1f079024fcdaa76c85c18f88b57983f861ee83fccde4a"></a><!-- doxytag: member="GPV_ALL" ref="gga167c785d87088b52526f1f079024fcdaa76c85c18f88b57983f861ee83fccde4a" args="" -->GPV_ALL</em>&nbsp;</td><td>
<p>Full mask (16-bit) </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00084">84</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga12a2bc4c75c439630241aa279089acb4"></a><!-- doxytag: member="Ogre::IlluminationStage" ref="ga12a2bc4c75c439630241aa279089acb4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Materials.html#ga12a2bc4c75c439630241aa279089acb4">Ogre::IlluminationStage</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Categorisation of passes for the purpose of additive lighting. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga12a2bc4c75c439630241aa279089acb4a86c1d44d20dbfd75a533f8e8a35cbb81"></a><!-- doxytag: member="IS_AMBIENT" ref="gga12a2bc4c75c439630241aa279089acb4a86c1d44d20dbfd75a533f8e8a35cbb81" args="" -->IS_AMBIENT</em>&nbsp;</td><td>
<p>Part of the rendering which occurs without any kind of direct lighting. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga12a2bc4c75c439630241aa279089acb4a1bdd217c49dc61535b75a36207b3e4a0"></a><!-- doxytag: member="IS_PER_LIGHT" ref="gga12a2bc4c75c439630241aa279089acb4a1bdd217c49dc61535b75a36207b3e4a0" args="" -->IS_PER_LIGHT</em>&nbsp;</td><td>
<p>Part of the rendering which occurs per light. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga12a2bc4c75c439630241aa279089acb4a55b9a19dea33fdf42c614c99c136a52e"></a><!-- doxytag: member="IS_DECAL" ref="gga12a2bc4c75c439630241aa279089acb4a55b9a19dea33fdf42c614c99c136a52e" args="" -->IS_DECAL</em>&nbsp;</td><td>
<p>Post-lighting rendering. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga12a2bc4c75c439630241aa279089acb4a8436700e1ea543e71cc82f08d55e5c98"></a><!-- doxytag: member="IS_UNKNOWN" ref="gga12a2bc4c75c439630241aa279089acb4a8436700e1ea543e71cc82f08d55e5c98" args="" -->IS_UNKNOWN</em>&nbsp;</td><td>
<p>Not determined. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgrePass_8h_source.html#l00049">49</a> of file <a class="el" href="OgrePass_8h_source.html">OgrePass.h</a>.</p>

</div>
</div>
<a class="anchor" id="gabcbb38d1ac195e4be401f85b7ab0da8f"></a><!-- doxytag: member="Ogre::LayerBlendOperation" ref="gabcbb38d1ac195e4be401f85b7ab0da8f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Materials.html#gabcbb38d1ac195e4be401f85b7ab0da8f">Ogre::LayerBlendOperation</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>List of valid texture blending operations, for use with <a class="el" href="classOgre_1_1TextureUnitState.html#aa47f44936c3090c97d8b4179333a208b" title="Determines how this texture layer is combined with the one below it (or the diffuse colour of the geo...">TextureUnitState::setColourOperation</a>. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This list is a more limited list than LayerBlendOperationEx because it only includes operations that are supportable in both multipass and multitexture rendering and thus provides automatic fallback if multitexture hardware is lacking or insufficient. </dd></dl>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ggabcbb38d1ac195e4be401f85b7ab0da8fa870cf51ff1ccd919cf710bcb3b4e6432"></a><!-- doxytag: member="LBO_REPLACE" ref="ggabcbb38d1ac195e4be401f85b7ab0da8fa870cf51ff1ccd919cf710bcb3b4e6432" args="" -->LBO_REPLACE</em>&nbsp;</td><td>
<p>Replace all colour with texture with no adjustment. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabcbb38d1ac195e4be401f85b7ab0da8fa0c0abc7da3db86b393712aacc3c0ffe3"></a><!-- doxytag: member="LBO_ADD" ref="ggabcbb38d1ac195e4be401f85b7ab0da8fa0c0abc7da3db86b393712aacc3c0ffe3" args="" -->LBO_ADD</em>&nbsp;</td><td>
<p>Add colour components together. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabcbb38d1ac195e4be401f85b7ab0da8fa20815cab41c35f08f3520fb404b95efd"></a><!-- doxytag: member="LBO_MODULATE" ref="ggabcbb38d1ac195e4be401f85b7ab0da8fa20815cab41c35f08f3520fb404b95efd" args="" -->LBO_MODULATE</em>&nbsp;</td><td>
<p>Multiply colour components together. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabcbb38d1ac195e4be401f85b7ab0da8fa5cd300cd5790982241469d38868e5e76"></a><!-- doxytag: member="LBO_ALPHA_BLEND" ref="ggabcbb38d1ac195e4be401f85b7ab0da8fa5cd300cd5790982241469d38868e5e76" args="" -->LBO_ALPHA_BLEND</em>&nbsp;</td><td>
<p>Blend based on texture alpha. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreBlendMode_8h_source.html#l00057">57</a> of file <a class="el" href="OgreBlendMode_8h_source.html">OgreBlendMode.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga264ecab38a04d01e2c3158fa05ec1ee2"></a><!-- doxytag: member="Ogre::LayerBlendOperationEx" ref="ga264ecab38a04d01e2c3158fa05ec1ee2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Materials.html#ga264ecab38a04d01e2c3158fa05ec1ee2">Ogre::LayerBlendOperationEx</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Expert list of valid texture blending operations, for use with <a class="el" href="classOgre_1_1TextureUnitState.html#a5f3994ce2f61c6c6fee6fe8f89c9e369" title="Setting advanced blending options.">TextureUnitState::setColourOperationEx</a> and <a class="el" href="classOgre_1_1TextureUnitState.html#ae5e48cac8f87dad78d040364021b7a95" title="Sets the alpha operation to be applied to this texture.">TextureUnitState::setAlphaOperation</a>, and internally in the <a class="el" href="classOgre_1_1LayerBlendModeEx.html" title="Class which manages blending of both colour and alpha components.">LayerBlendModeEx</a> class. </p>
<p>It's worth noting that these operations are for blending <em>between texture layers</em> and not between rendered objects and the existing scene. Because all of these modes are only supported in multitexture hardware it may be required to set up a fallback operation where this hardware is not available. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga264ecab38a04d01e2c3158fa05ec1ee2a8c7697ad29825fd74a0383826294c894"></a><!-- doxytag: member="LBX_SOURCE1" ref="gga264ecab38a04d01e2c3158fa05ec1ee2a8c7697ad29825fd74a0383826294c894" args="" -->LBX_SOURCE1</em>&nbsp;</td><td>
<p>use source1 without modification </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga264ecab38a04d01e2c3158fa05ec1ee2a7e03fbcff412dcdeefa85e7e83525599"></a><!-- doxytag: member="LBX_SOURCE2" ref="gga264ecab38a04d01e2c3158fa05ec1ee2a7e03fbcff412dcdeefa85e7e83525599" args="" -->LBX_SOURCE2</em>&nbsp;</td><td>
<p>use source2 without modification </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga264ecab38a04d01e2c3158fa05ec1ee2a985f2ec53a477d7c19b41700589cb519"></a><!-- doxytag: member="LBX_MODULATE" ref="gga264ecab38a04d01e2c3158fa05ec1ee2a985f2ec53a477d7c19b41700589cb519" args="" -->LBX_MODULATE</em>&nbsp;</td><td>
<p>multiply source1 and source2 together </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga264ecab38a04d01e2c3158fa05ec1ee2a83964282d9ea36a25f4718ae962f8d1c"></a><!-- doxytag: member="LBX_MODULATE_X2" ref="gga264ecab38a04d01e2c3158fa05ec1ee2a83964282d9ea36a25f4718ae962f8d1c" args="" -->LBX_MODULATE_X2</em>&nbsp;</td><td>
<p>as LBX_MODULATE but brighten afterwards (x2) </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga264ecab38a04d01e2c3158fa05ec1ee2a2016226c35da93cc80a47e67528064a3"></a><!-- doxytag: member="LBX_MODULATE_X4" ref="gga264ecab38a04d01e2c3158fa05ec1ee2a2016226c35da93cc80a47e67528064a3" args="" -->LBX_MODULATE_X4</em>&nbsp;</td><td>
<p>as LBX_MODULATE but brighten more afterwards (x4) </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga264ecab38a04d01e2c3158fa05ec1ee2ac025aa3571c27a81260a08338418fa02"></a><!-- doxytag: member="LBX_ADD" ref="gga264ecab38a04d01e2c3158fa05ec1ee2ac025aa3571c27a81260a08338418fa02" args="" -->LBX_ADD</em>&nbsp;</td><td>
<p>add source1 and source2 together </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga264ecab38a04d01e2c3158fa05ec1ee2ae89016c1b5b7ba57965791ae726c450e"></a><!-- doxytag: member="LBX_ADD_SIGNED" ref="gga264ecab38a04d01e2c3158fa05ec1ee2ae89016c1b5b7ba57965791ae726c450e" args="" -->LBX_ADD_SIGNED</em>&nbsp;</td><td>
<p>as LBX_ADD, but subtract 0.5 from the result </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga264ecab38a04d01e2c3158fa05ec1ee2a94ec9bd2faf2b248f1c32f2eb187f415"></a><!-- doxytag: member="LBX_ADD_SMOOTH" ref="gga264ecab38a04d01e2c3158fa05ec1ee2a94ec9bd2faf2b248f1c32f2eb187f415" args="" -->LBX_ADD_SMOOTH</em>&nbsp;</td><td>
<p>as LBX_ADD, but subtract product from the sum </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga264ecab38a04d01e2c3158fa05ec1ee2ade0d61cb08a3a772470efeab17a1a60c"></a><!-- doxytag: member="LBX_SUBTRACT" ref="gga264ecab38a04d01e2c3158fa05ec1ee2ade0d61cb08a3a772470efeab17a1a60c" args="" -->LBX_SUBTRACT</em>&nbsp;</td><td>
<p>subtract source2 from source1 </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga264ecab38a04d01e2c3158fa05ec1ee2ac48b8a0a6406d7950c873658b9f11aa9"></a><!-- doxytag: member="LBX_BLEND_DIFFUSE_ALPHA" ref="gga264ecab38a04d01e2c3158fa05ec1ee2ac48b8a0a6406d7950c873658b9f11aa9" args="" -->LBX_BLEND_DIFFUSE_ALPHA</em>&nbsp;</td><td>
<p>use interpolated alpha value from vertices to scale source1, then add source2 scaled by (1-alpha) </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga264ecab38a04d01e2c3158fa05ec1ee2a3ba9fa36ef8c23b61e030185ca14cb78"></a><!-- doxytag: member="LBX_BLEND_TEXTURE_ALPHA" ref="gga264ecab38a04d01e2c3158fa05ec1ee2a3ba9fa36ef8c23b61e030185ca14cb78" args="" -->LBX_BLEND_TEXTURE_ALPHA</em>&nbsp;</td><td>
<p>as LBX_BLEND_DIFFUSE_ALPHA, but use alpha from texture </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga264ecab38a04d01e2c3158fa05ec1ee2a42c0f2ce32ad504e39a11936748c9973"></a><!-- doxytag: member="LBX_BLEND_CURRENT_ALPHA" ref="gga264ecab38a04d01e2c3158fa05ec1ee2a42c0f2ce32ad504e39a11936748c9973" args="" -->LBX_BLEND_CURRENT_ALPHA</em>&nbsp;</td><td>
<p>as LBX_BLEND_DIFFUSE_ALPHA, but use current alpha from previous stages </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga264ecab38a04d01e2c3158fa05ec1ee2adbe5957a946513e0f8be8c571f9b73fe"></a><!-- doxytag: member="LBX_BLEND_MANUAL" ref="gga264ecab38a04d01e2c3158fa05ec1ee2adbe5957a946513e0f8be8c571f9b73fe" args="" -->LBX_BLEND_MANUAL</em>&nbsp;</td><td>
<p>as LBX_BLEND_DIFFUSE_ALPHA but use a constant manual blend value (0.0-1.0) </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga264ecab38a04d01e2c3158fa05ec1ee2a822d6d3e08f28dcd9834f61c7fc03905"></a><!-- doxytag: member="LBX_DOTPRODUCT" ref="gga264ecab38a04d01e2c3158fa05ec1ee2a822d6d3e08f28dcd9834f61c7fc03905" args="" -->LBX_DOTPRODUCT</em>&nbsp;</td><td>
<p>dot product of color1 and color2 </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga264ecab38a04d01e2c3158fa05ec1ee2aff8f459e8c642e068d2d85fb18563859"></a><!-- doxytag: member="LBX_BLEND_DIFFUSE_COLOUR" ref="gga264ecab38a04d01e2c3158fa05ec1ee2aff8f459e8c642e068d2d85fb18563859" args="" -->LBX_BLEND_DIFFUSE_COLOUR</em>&nbsp;</td><td>
<p>use interpolated color values from vertices to scale source1, then add source2 scaled by (1-color) </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreBlendMode_8h_source.html#l00075">75</a> of file <a class="el" href="OgreBlendMode_8h_source.html">OgreBlendMode.h</a>.</p>

</div>
</div>
<a class="anchor" id="gae2ad78de344f35307ce35157c175625e"></a><!-- doxytag: member="Ogre::LayerBlendSource" ref="gae2ad78de344f35307ce35157c175625e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Materials.html#gae2ad78de344f35307ce35157c175625e">Ogre::LayerBlendSource</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>List of valid sources of values for blending operations used in <a class="el" href="classOgre_1_1TextureUnitState.html#aa47f44936c3090c97d8b4179333a208b" title="Determines how this texture layer is combined with the one below it (or the diffuse colour of the geo...">TextureUnitState::setColourOperation</a> and <a class="el" href="classOgre_1_1TextureUnitState.html#ae5e48cac8f87dad78d040364021b7a95" title="Sets the alpha operation to be applied to this texture.">TextureUnitState::setAlphaOperation</a>, and internally in the <a class="el" href="classOgre_1_1LayerBlendModeEx.html" title="Class which manages blending of both colour and alpha components.">LayerBlendModeEx</a> class. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ggae2ad78de344f35307ce35157c175625ea370f25da69381c74ca1fc51fde81e659"></a><!-- doxytag: member="LBS_CURRENT" ref="ggae2ad78de344f35307ce35157c175625ea370f25da69381c74ca1fc51fde81e659" args="" -->LBS_CURRENT</em>&nbsp;</td><td>
<p>the colour as built up from previous stages </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggae2ad78de344f35307ce35157c175625ea45f1a14042993f460992b3253ce6ae80"></a><!-- doxytag: member="LBS_TEXTURE" ref="ggae2ad78de344f35307ce35157c175625ea45f1a14042993f460992b3253ce6ae80" args="" -->LBS_TEXTURE</em>&nbsp;</td><td>
<p>the colour derived from the texture assigned to this layer </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggae2ad78de344f35307ce35157c175625ea196637a598fec92609865324b94d5662"></a><!-- doxytag: member="LBS_DIFFUSE" ref="ggae2ad78de344f35307ce35157c175625ea196637a598fec92609865324b94d5662" args="" -->LBS_DIFFUSE</em>&nbsp;</td><td>
<p>the interpolated diffuse colour from the vertices </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggae2ad78de344f35307ce35157c175625eaeaaa1e434289af47d0324c5d0f19d728"></a><!-- doxytag: member="LBS_SPECULAR" ref="ggae2ad78de344f35307ce35157c175625eaeaaa1e434289af47d0324c5d0f19d728" args="" -->LBS_SPECULAR</em>&nbsp;</td><td>
<p>the interpolated specular colour from the vertices </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggae2ad78de344f35307ce35157c175625ea9aad692ea2c7081237095c3ab4044f17"></a><!-- doxytag: member="LBS_MANUAL" ref="ggae2ad78de344f35307ce35157c175625ea9aad692ea2c7081237095c3ab4044f17" args="" -->LBS_MANUAL</em>&nbsp;</td><td>
<p>a colour supplied manually as a separate argument </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreBlendMode_8h_source.html#l00112">112</a> of file <a class="el" href="OgreBlendMode_8h_source.html">OgreBlendMode.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga1ae5925d36df27a6c3590536752264f8"></a><!-- doxytag: member="Ogre::LayerBlendType" ref="ga1ae5925d36df27a6c3590536752264f8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Materials.html#ga1ae5925d36df27a6c3590536752264f8">Ogre::LayerBlendType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Type of texture blend mode. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga1ae5925d36df27a6c3590536752264f8acee3f4ef730f5c3e67fe71a54621e654"></a><!-- doxytag: member="LBT_COLOUR" ref="gga1ae5925d36df27a6c3590536752264f8acee3f4ef730f5c3e67fe71a54621e654" args="" -->LBT_COLOUR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga1ae5925d36df27a6c3590536752264f8a48d75d19e38ab5ff2ce7a3e9ae068e31"></a><!-- doxytag: member="LBT_ALPHA" ref="gga1ae5925d36df27a6c3590536752264f8a48d75d19e38ab5ff2ce7a3e9ae068e31" args="" -->LBT_ALPHA</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreBlendMode_8h_source.html#l00044">44</a> of file <a class="el" href="OgreBlendMode_8h_source.html">OgreBlendMode.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga83c5c9e6cd44a657c97dd7494800676c"></a><!-- doxytag: member="Ogre::MaterialScriptSection" ref="ga83c5c9e6cd44a657c97dd7494800676c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Materials.html#ga83c5c9e6cd44a657c97dd7494800676c">Ogre::MaterialScriptSection</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enum to identify material sections. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga83c5c9e6cd44a657c97dd7494800676caa8ecf2298f0401fa132fbe09d7306e22"></a><!-- doxytag: member="MSS_NONE" ref="gga83c5c9e6cd44a657c97dd7494800676caa8ecf2298f0401fa132fbe09d7306e22" args="" -->MSS_NONE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga83c5c9e6cd44a657c97dd7494800676ca03535ff3b3deaf08ce6e4cf28f247396"></a><!-- doxytag: member="MSS_MATERIAL" ref="gga83c5c9e6cd44a657c97dd7494800676ca03535ff3b3deaf08ce6e4cf28f247396" args="" -->MSS_MATERIAL</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga83c5c9e6cd44a657c97dd7494800676ca75dcdf27cd2c26a79997de2e6670f4a1"></a><!-- doxytag: member="MSS_TECHNIQUE" ref="gga83c5c9e6cd44a657c97dd7494800676ca75dcdf27cd2c26a79997de2e6670f4a1" args="" -->MSS_TECHNIQUE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga83c5c9e6cd44a657c97dd7494800676ca4dbef3e527e942ad0fdf8790ff79ca91"></a><!-- doxytag: member="MSS_PASS" ref="gga83c5c9e6cd44a657c97dd7494800676ca4dbef3e527e942ad0fdf8790ff79ca91" args="" -->MSS_PASS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga83c5c9e6cd44a657c97dd7494800676caf7bf31ae13f2c3b042d78aa28626b1e5"></a><!-- doxytag: member="MSS_TEXTUREUNIT" ref="gga83c5c9e6cd44a657c97dd7494800676caf7bf31ae13f2c3b042d78aa28626b1e5" args="" -->MSS_TEXTUREUNIT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga83c5c9e6cd44a657c97dd7494800676cac22fc0112f378c4652e0335c5369a501"></a><!-- doxytag: member="MSS_PROGRAM_REF" ref="gga83c5c9e6cd44a657c97dd7494800676cac22fc0112f378c4652e0335c5369a501" args="" -->MSS_PROGRAM_REF</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga83c5c9e6cd44a657c97dd7494800676ca1482036b89dfe855d5722f4280bb9136"></a><!-- doxytag: member="MSS_PROGRAM" ref="gga83c5c9e6cd44a657c97dd7494800676ca1482036b89dfe855d5722f4280bb9136" args="" -->MSS_PROGRAM</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga83c5c9e6cd44a657c97dd7494800676ca485e4dd851bfd5d5db3ca78b4a031d44"></a><!-- doxytag: member="MSS_DEFAULT_PARAMETERS" ref="gga83c5c9e6cd44a657c97dd7494800676ca485e4dd851bfd5d5db3ca78b4a031d44" args="" -->MSS_DEFAULT_PARAMETERS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga83c5c9e6cd44a657c97dd7494800676cadd3efa1f0af549e1fbe112beb544bf69"></a><!-- doxytag: member="MSS_TEXTURESOURCE" ref="gga83c5c9e6cd44a657c97dd7494800676cadd3efa1f0af549e1fbe112beb544bf69" args="" -->MSS_TEXTURESOURCE</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00047">47</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga41c76d419d6c9c205a6c1d3b42872213"></a><!-- doxytag: member="Ogre::SceneBlendFactor" ref="ga41c76d419d6c9c205a6c1d3b42872213" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213">Ogre::SceneBlendFactor</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Blending factors for manually blending objects with the scene. </p>
<p>If there isn't a predefined SceneBlendType that you like, then you can specify the blending factors directly to affect the combination of object and the existing scene. See <a class="el" href="classOgre_1_1Material.html#a8c9ccac6e60241a1865ac211e3b203c8" title="Sets the kind of blending every pass has with the existing contents of the scene.">Material::setSceneBlending</a> for more details. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga41c76d419d6c9c205a6c1d3b42872213ad2741858a9d9f668a47ea75b82ae0318"></a><!-- doxytag: member="SBF_ONE" ref="gga41c76d419d6c9c205a6c1d3b42872213ad2741858a9d9f668a47ea75b82ae0318" args="" -->SBF_ONE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga41c76d419d6c9c205a6c1d3b42872213a04732209b3c7a16b5f0a2c829e6f6c34"></a><!-- doxytag: member="SBF_ZERO" ref="gga41c76d419d6c9c205a6c1d3b42872213a04732209b3c7a16b5f0a2c829e6f6c34" args="" -->SBF_ZERO</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga41c76d419d6c9c205a6c1d3b42872213affe55d98f2cd26e9451af52dbc74f7b2"></a><!-- doxytag: member="SBF_DEST_COLOUR" ref="gga41c76d419d6c9c205a6c1d3b42872213affe55d98f2cd26e9451af52dbc74f7b2" args="" -->SBF_DEST_COLOUR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga41c76d419d6c9c205a6c1d3b42872213aec796e9f58f4cce849379f0239e059a6"></a><!-- doxytag: member="SBF_SOURCE_COLOUR" ref="gga41c76d419d6c9c205a6c1d3b42872213aec796e9f58f4cce849379f0239e059a6" args="" -->SBF_SOURCE_COLOUR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga41c76d419d6c9c205a6c1d3b42872213a7ea50d3d5960138db1c46ecb42f94969"></a><!-- doxytag: member="SBF_ONE_MINUS_DEST_COLOUR" ref="gga41c76d419d6c9c205a6c1d3b42872213a7ea50d3d5960138db1c46ecb42f94969" args="" -->SBF_ONE_MINUS_DEST_COLOUR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga41c76d419d6c9c205a6c1d3b42872213a93b05f61a5076cf0f649ac5d656970fe"></a><!-- doxytag: member="SBF_ONE_MINUS_SOURCE_COLOUR" ref="gga41c76d419d6c9c205a6c1d3b42872213a93b05f61a5076cf0f649ac5d656970fe" args="" -->SBF_ONE_MINUS_SOURCE_COLOUR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga41c76d419d6c9c205a6c1d3b42872213a374792bd937134c4ca2aad748661c22c"></a><!-- doxytag: member="SBF_DEST_ALPHA" ref="gga41c76d419d6c9c205a6c1d3b42872213a374792bd937134c4ca2aad748661c22c" args="" -->SBF_DEST_ALPHA</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga41c76d419d6c9c205a6c1d3b42872213a5b1a11e0ec0d1cf0bdab0176cca26eea"></a><!-- doxytag: member="SBF_SOURCE_ALPHA" ref="gga41c76d419d6c9c205a6c1d3b42872213a5b1a11e0ec0d1cf0bdab0176cca26eea" args="" -->SBF_SOURCE_ALPHA</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga41c76d419d6c9c205a6c1d3b42872213a1d772950d5ec934776bbc1d39782a42d"></a><!-- doxytag: member="SBF_ONE_MINUS_DEST_ALPHA" ref="gga41c76d419d6c9c205a6c1d3b42872213a1d772950d5ec934776bbc1d39782a42d" args="" -->SBF_ONE_MINUS_DEST_ALPHA</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga41c76d419d6c9c205a6c1d3b42872213a09184af2d875978d03c6edd00d4d52f9"></a><!-- doxytag: member="SBF_ONE_MINUS_SOURCE_ALPHA" ref="gga41c76d419d6c9c205a6c1d3b42872213a09184af2d875978d03c6edd00d4d52f9" args="" -->SBF_ONE_MINUS_SOURCE_ALPHA</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreBlendMode_8h_source.html#l00234">234</a> of file <a class="el" href="OgreBlendMode_8h_source.html">OgreBlendMode.h</a>.</p>

</div>
</div>
<a class="anchor" id="gaa7a12a72231aedf6e33d58aafc11214a"></a><!-- doxytag: member="Ogre::SceneBlendOperation" ref="gaa7a12a72231aedf6e33d58aafc11214a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Materials.html#gaa7a12a72231aedf6e33d58aafc11214a">Ogre::SceneBlendOperation</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Blending operations controls how objects are blended into the scene. </p>
<p>The default operation is add (+) but by changing this you can change how drawn objects are blended into the existing scene. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ggaa7a12a72231aedf6e33d58aafc11214aa188aee58620b3275f1a45c7c80df4bc7"></a><!-- doxytag: member="SBO_ADD" ref="ggaa7a12a72231aedf6e33d58aafc11214aa188aee58620b3275f1a45c7c80df4bc7" args="" -->SBO_ADD</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaa7a12a72231aedf6e33d58aafc11214aa1b91fc44108cc88f2cb4bb38d4d76a4b"></a><!-- doxytag: member="SBO_SUBTRACT" ref="ggaa7a12a72231aedf6e33d58aafc11214aa1b91fc44108cc88f2cb4bb38d4d76a4b" args="" -->SBO_SUBTRACT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaa7a12a72231aedf6e33d58aafc11214aabf264a7da02c6b481ca9a8b222914438"></a><!-- doxytag: member="SBO_REVERSE_SUBTRACT" ref="ggaa7a12a72231aedf6e33d58aafc11214aabf264a7da02c6b481ca9a8b222914438" args="" -->SBO_REVERSE_SUBTRACT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaa7a12a72231aedf6e33d58aafc11214aaac9096763a660cde89c5771a7842d14c"></a><!-- doxytag: member="SBO_MIN" ref="ggaa7a12a72231aedf6e33d58aafc11214aaac9096763a660cde89c5771a7842d14c" args="" -->SBO_MIN</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaa7a12a72231aedf6e33d58aafc11214aad27eb8ec55b3c43ff95506da8e2b3d7f"></a><!-- doxytag: member="SBO_MAX" ref="ggaa7a12a72231aedf6e33d58aafc11214aad27eb8ec55b3c43ff95506da8e2b3d7f" args="" -->SBO_MAX</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreBlendMode_8h_source.html#l00253">253</a> of file <a class="el" href="OgreBlendMode_8h_source.html">OgreBlendMode.h</a>.</p>

</div>
</div>
<a class="anchor" id="gac46c60cf6e5c199220e3b8f26570cb9a"></a><!-- doxytag: member="Ogre::SceneBlendType" ref="gac46c60cf6e5c199220e3b8f26570cb9a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Materials.html#gac46c60cf6e5c199220e3b8f26570cb9a">Ogre::SceneBlendType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Types of blending that you can specify between an object and the existing contents of the scene. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>As opposed to the LayerBlendType, which classifies blends between texture layers, these blending types blend between the output of the texture units and the pixels already in the viewport, allowing for object transparency, glows, etc. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>These types are provided to give quick and easy access to common effects. You can also use the more manual method of supplying source and destination blending factors. See <a class="el" href="classOgre_1_1Material.html#a8c9ccac6e60241a1865ac211e3b203c8" title="Sets the kind of blending every pass has with the existing contents of the scene.">Material::setSceneBlending</a> for more details. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Material.html#a8c9ccac6e60241a1865ac211e3b203c8" title="Sets the kind of blending every pass has with the existing contents of the scene.">Material::setSceneBlending</a> </dd></dl>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ggac46c60cf6e5c199220e3b8f26570cb9aa8df6dd8b7710971196000da11b5ab114"></a><!-- doxytag: member="SBT_TRANSPARENT_ALPHA" ref="ggac46c60cf6e5c199220e3b8f26570cb9aa8df6dd8b7710971196000da11b5ab114" args="" -->SBT_TRANSPARENT_ALPHA</em>&nbsp;</td><td>
<p>Make the object transparent based on the final alpha values in the texture. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggac46c60cf6e5c199220e3b8f26570cb9aab57b2cf11c74056c5109fce1efa37a05"></a><!-- doxytag: member="SBT_TRANSPARENT_COLOUR" ref="ggac46c60cf6e5c199220e3b8f26570cb9aab57b2cf11c74056c5109fce1efa37a05" args="" -->SBT_TRANSPARENT_COLOUR</em>&nbsp;</td><td>
<p>Make the object transparent based on the colour values in the texture (brighter = more opaque) </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggac46c60cf6e5c199220e3b8f26570cb9aafa3ba1b1c044f8c0cb09bc41582024d4"></a><!-- doxytag: member="SBT_ADD" ref="ggac46c60cf6e5c199220e3b8f26570cb9aafa3ba1b1c044f8c0cb09bc41582024d4" args="" -->SBT_ADD</em>&nbsp;</td><td>
<p>Add the texture values to the existing scene content. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggac46c60cf6e5c199220e3b8f26570cb9aa7aed8ef0038f0a0a5f6634ba4080b513"></a><!-- doxytag: member="SBT_MODULATE" ref="ggac46c60cf6e5c199220e3b8f26570cb9aa7aed8ef0038f0a0a5f6634ba4080b513" args="" -->SBT_MODULATE</em>&nbsp;</td><td>
<p>Multiply the 2 colours together. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggac46c60cf6e5c199220e3b8f26570cb9aab6672abe57fa6051e9ab57d51975d244"></a><!-- doxytag: member="SBT_REPLACE" ref="ggac46c60cf6e5c199220e3b8f26570cb9aab6672abe57fa6051e9ab57d51975d244" args="" -->SBT_REPLACE</em>&nbsp;</td><td>
<p>The default blend mode where source replaces destination. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreBlendMode_8h_source.html#l00215">215</a> of file <a class="el" href="OgreBlendMode_8h_source.html">OgreBlendMode.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
